<template>
  <ion-page>
    <div dir="rtl">
      <ChatList
        :list="chatsList"
        @handelGettingUserData="handelGettingchatItemData"
        @openChatRoom="openChatRoomModal"
      >
      </ChatList>
    </div>
  </ion-page>
</template>

<script setup>
import ChatList from '@/components/desktop/message/chatList.vue';
import { IonPage } from '@ionic/vue';
import { computed } from 'vue';
import { useOverallChatsStore } from '@/store/chats/overall.js';
import { useGroupChat } from '@/store/chats/groupChat';
import { useNestedModalsDesktop } from '@/store/nestedModals/nestedModalsDesktop.js';

const overallChatsStore = useOverallChatsStore();
const groupChatStore = useGroupChat();
const nestedModalsDesktop = useNestedModalsDesktop();

let chatsList = computed(() => overallChatsStore.getListChats);

const currentGroupInfo = computed(() => {
  return groupChatStore.currentGroup;
});

const openChatRoomModal = async (chatItem) => {
  console.log(1, currentGroupInfo.value.title);
  if (chatItem.groupData) {
    console.log(2, currentGroupInfo.value.title);
    currentGroupInfo.value.group_id = await chatItem.groupData.groupId;
    await groupChatStore.getGroupTitle(currentGroupInfo.value.group_id);
    await groupChatStore.getGroupMembersUid(currentGroupInfo.value.group_id);
    await groupChatStore.getGroupMembers();
    if (currentGroupInfo.value.title != '') {
      console.log(3, currentGroupInfo.value.title);
      nestedModalsDesktop.changeStatusCoreModal(true);
      nestedModalsDesktop.changeStatusGroupChatRoom(true);
    }
  }
};
</script>

<style scoped>
ion-toolbar {
  --min-height: 10vh;
  height: 10vh;
}
.toolbar-title {
  font-size: 32px;
}

.header-title {
  color: #fff;
  font-size: 25px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  padding: 0 10px;
}

.search-icon {
  margin-top: 8px;
}
ion-content::part(scroll) {
  scrollbar-width: none;
  overflow-y: hidden;
}
</style>
